IoTHubHttpRuntimeManager Class

A class to provide convenience APIs for IoTHub Http Runtime Manager operations, based on top of the auto generated IotHub REST APIs

Inheritance
builtins.object
IoTHubHttpRuntimeManager

Constructor

IoTHubHttpRuntimeManager(connection_string=None, host=None, auth=None)

Parameters

connection_string
default value: None
host
default value: None
auth
default value: None

Methods

abandon_feedback_notification

This method abandons a feedback message.

complete_feedback_notification

This method completes a feedback message.

from_connection_string

Classmethod initializer for a IoTHubHttpRuntimeManager Service client. Creates IoTHubHttpRuntimeManager class from connection string.

After a successful creation the class has been authenticated with IoTHub and it is ready to call the member APIs to communicate with IoTHub.

from_token_credential

Classmethod initializer for a IoTHubHttpRuntimeManager Service client. Creates IoTHubHttpRuntimeManager class from host name url and Azure token credential.

After a successful creation the class has been authenticated with IoTHub and it is ready to call the member APIs to communicate with IoTHub.

receive_feedback_notification

This method is used to retrieve feedback of a cloud-to-device message.

abandon_feedback_notification

This method abandons a feedback message.

abandon_feedback_notification(lock_token)

Parameters

lock_token
str
Required

Lock token.

Returns

None.

Exceptions

<xref:if the HTTP response status is not in >[<xref:200>]<xref:.>

complete_feedback_notification

This method completes a feedback message.

complete_feedback_notification(lock_token)

Parameters

lock_token
str
Required

Lock token.

Returns

None.

Exceptions

<xref:if the HTTP response status is not in >[<xref:200>]<xref:.>

from_connection_string

Classmethod initializer for a IoTHubHttpRuntimeManager Service client. Creates IoTHubHttpRuntimeManager class from connection string.

After a successful creation the class has been authenticated with IoTHub and it is ready to call the member APIs to communicate with IoTHub.

from_connection_string(connection_string)

Parameters

connection_string
str
Required

The IoTHub connection string used to authenticate connection with IoTHub.

connection_string
Required

Return type

Exceptions

<xref:if the HTTP response status is not in >[<xref:200>]<xref:.>

from_token_credential

Classmethod initializer for a IoTHubHttpRuntimeManager Service client. Creates IoTHubHttpRuntimeManager class from host name url and Azure token credential.

After a successful creation the class has been authenticated with IoTHub and it is ready to call the member APIs to communicate with IoTHub.

from_token_credential(url, token_credential)

Parameters

url
str
Required

The Azure service url (host name).

token_credential
str
Required

The Azure token credential object.

token_credential
Required

Return type

Exceptions

<xref:if the HTTP response status is not in >[<xref:200>]<xref:.>

receive_feedback_notification

This method is used to retrieve feedback of a cloud-to-device message.

receive_feedback_notification()

Returns

None.

Exceptions

<xref:if the HTTP response status is not in >[<xref:200>]<xref:.>